import time
import json

import requests

cached_rates = {}

default_rates = {
  'base': 'USD',
  'rates': {
    'USD': 1,
    'CAD': 1.2874,
    'CNY': 6.6093,
    'GBP': 0.7414,
    'INR': 64.497,
    'JPY': 112.49,
    'MXN': 18.674,
    'EUR': 0.8414,
    'AUD': 1.2994,
    'SGD': 1.34811,
    'SAR': 3.751579,
    'TRY': 5.867704,
    'KRW': 1358.02
  }
}


class ExchangeRate(object):
  @classmethod
  def get_exchange_rate(cls, base_currency, currency, endpoint='latest'):
    return default_rates['rates'][currency]


class ExchangeRateServerError(Exception):
    """
    ExchangeRateServerError shall be raise when http://fixer.io/ server crashes.
    """


class InvalidCurrencyError(ValueError):
    """
    InvalidCurrencyError shall be raised when currency is not supported.
    """
